/*
 *  Licensed Materials - Property of IBM / HCL Technologies
 *  Restricted Material of IBM / HCL Technologies
 *  IBM Rational Test RealTime / HCL OneTest
 *  (c) Copyright IBM Corp. 2020 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *       |\      _,,,---,,_
 *       /,`.-'`'    -.  ;-;;,_
 *      |,4-  ) )-,_..;\ (  `'-'
 *     '---''(_/--'  `-'\_)
 *
 ********************************************
 */
/*
 * declarations for core part
 */

#ifndef CORE_H_
#define CORE_H_

extern unsigned int size_x;
extern unsigned int size_y;
extern unsigned short int ** model;
extern int offset_x[];
extern int offset_y[];
extern int myrandom(int x);
extern int havewall(int currentX,int currentY,int dir);

extern void initialize(void);
extern void cleanup(void);

/* model :

y
^
|
|
|
|
0------------->X

(X,Y)

direction :

	1       0
  8   2   3   1
    4       2

*/
#define UP 0
#define RIGHT 1
#define DOWN 2
#define LEFT 3
/* wall value = *^direction */
#define WALL_UP 1
#define WALL_RIGHT 2
#define WALL_DOWN 4
#define WALL_LEFT 8
#define REPLAY_SPOT 16
/* sum of all previous, but faster if precalculated */
#define WALL_ALL 15

#endif /* CORE_H_ */
